import { default as EditorModel } from "./EditorModel.js";
export default class MacroEditorModel extends EditorModel {
    get primaryValueName() {
        return this.state.get("primaryValue");
    }
    get primaryValue() {
        return this.getFeatureValue(this.primaryValueName);
    }
    set primaryValue(value) {
        this.setFeatureValue(this.primaryValueName, value);
    }
}
